import request from '@/utils/request'

// 查询外协信息列表
export function listDmsInfo(query) {
  return request({
    url: '/dms/dmsInfo/list',
    method: 'get',
    params: query
  })
}

// 查询外协信息详细
export function getDmsInfo(outsrcId) {
  return request({
    url: '/dms/dmsInfo/' + outsrcId,
    method: 'get'
  })
}

// 新增外协信息
export function addDmsInfo(data) {
  return request({
    url: '/dms/dmsInfo',
    method: 'post',
    data: data
  })
}

// 修改外协信息
export function updateDmsInfo(data) {
  return request({
    url: '/dms/dmsInfo',
    method: 'put',
    data: data
  })
}

// 删除外协信息
export function delDmsInfo(outsrcId) {
  return request({
    url: '/dms/dmsInfo/' + outsrcId,
    method: 'delete'
  })
}
